New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Bad Argument #1299

Open
zaktab opened this Issue Dec 16, 2017 · 4 comments

Comments

Projects
None yet
2 participants
@zaktab

zaktab commented Dec 16, 2017

I am receiving the following issue and it seems to be tied to nn - i have tried updating nn with luarocks install nn but same thing.
Error:

/home/zak/torch/install/bin/luajit: /home/zak/torch/install/share/lua/5.1/nn/THNN.lua:110: bad argument #3 to 'v' (cannot convert 'struct THDoubleTensor *' to 'struct THFloatTensor *')
stack traceback:
[C]: in function 'v'
/home/zak/torch/install/share/lua/5.1/nn/THNN.lua:110: in function 'BCECriterion_updateOutput'
/home/zak/torch/install/share/lua/5.1/nn/BCECriterion.lua:33: in function 'forward'
./adversarial_rgb.lua:80: in function 'opfunc'
/home/zak/torch/install/share/lua/5.1/optim/adam.lua:37: in function 'adam'
./adversarial_rgb.lua:227: in function 'train'
train_rgb.lua:228: in function 'main'
train_rgb.lua:296: in main chunk
[C]: in function 'dofile'
.../zak/torch/install/lib/luarocks/rocks/trepl/scm-1/bin/th:150: in main chunk
[C]: at 0x00405d50

what can I do?

@tastyminerals

This comment has been minimized.

Show comment
Hide comment
@tastyminerals

tastyminerals Dec 16, 2017

Contributor

These issue have been already reported and solved by reinstalling cunn, cunnx and nn.

Contributor

tastyminerals commented Dec 16, 2017

These issue have been already reported and solved by reinstalling cunn, cunnx and nn.

@zaktab

This comment has been minimized.

Show comment
Hide comment
@zaktab

zaktab Dec 16, 2017

I have updated all of them with luarocks install [package] but I am getting the same result. Is there another way to reinstall? Or other possible causes?

zaktab commented Dec 16, 2017

I have updated all of them with luarocks install [package] but I am getting the same result. Is there another way to reinstall? Or other possible causes?

@zaktab

This comment has been minimized.

Show comment
Hide comment
@zaktab

zaktab Dec 16, 2017

i have reinstalled lua, luarocks and torch and still am having this error.

zaktab commented Dec 16, 2017

i have reinstalled lua, luarocks and torch and still am having this error.

@tastyminerals

This comment has been minimized.

Show comment
Hide comment
@tastyminerals

tastyminerals Dec 18, 2017

Contributor

Then the issue is not in your installation but in the code that you're running. Make sure you have correct :cuda() calls as in #1056 for example.

Contributor

tastyminerals commented Dec 18, 2017

Then the issue is not in your installation but in the code that you're running. Make sure you have correct :cuda() calls as in #1056 for example.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment